Important Announcement for Customers Using SonicStage® Software Version 4.0 or Higher

Posted: 11/05/2007


Sony Corporation wishes to notify customers of a potential security vulnerability resulting from a buffer overflow issue in some versions of its music management software "SonicStage" as listed below.

Using SonicStage software simply to purchase music, import content from CDs into a music library, or to manage content libraries and devices will not cause this buffer overflow issue. Sony treats security issues regarding its customers’ software and data very seriously, and we have provided free software updates to resolve this potential issue.

Please click the appropriate link below to download a software update to resolve this issue:


Versions of SonicStage software covered by this announcement

  • SonicStage software versions 4.0 / 4.1 / 4.2 / 4.3
  • To check your version number:

    1. Launch the program.
    2. At the main program screen, click the "Help" option on the menu, and then click "About SonicStage."
    3. At the "About SonicStage" screen, check to see if the version number begins with 4.0, 4.1, 4.2, or 4.3.

For inquiries regarding this issue

If you have any questions related to this issue please contact the Sony Customer Services Center.